Advisory Details

September 1st, 2022

ManageEngine OpManager getNmapInitialOption Command Injection Remote Code Execution Vulnerability

ZDI-22-1182
ZDI-CAN-18090

CVE ID CVE-2022-38772
CVSS SCORE 7.2, (AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS ManageEngine
AFFECTED PRODUCTS OpManager
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of ManageEngine OpManager. Authentication is required to exploit this vulnerability.

The specific flaw exists within the getNmapInitialOption function. The issue results from the lack of proper validation of a user-supplied string before using it to execute a system call. An attacker can leverage this vulnerability to execute code in the context of SYSTEM.

ADDITIONAL DETAILS ManageEngine has issued an update to correct this vulnerability. More details can be found at:
https://www.manageengine.com/itom/advisory/cve-2022-38772.html
DISCLOSURE TIMELINE
  • 2022-07-28 - Vulnerability reported to vendor
  • 2022-09-01 - Coordinated public release of advisory
CREDIT Piotr Bazydlo (@chudypb) of Trend Micro Zero Day Initiative
BACK TO ADVISORIES